aboutsummaryrefslogtreecommitdiffstats
path: root/x11/pango/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-03-27 20:54:59 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-03-27 20:54:59 +0000
commitccc9bc3b9131b2b83a9fc2fb045115ec45e60769 (patch)
tree9f8f8bbb0f3e03c7d4b7a14b63ca98b573649f7c /x11/pango/APKBUILD
parent52e18ad5e923c75d584a2339417f79af5b359e7f (diff)
downloadaports-ccc9bc3b9131b2b83a9fc2fb045115ec45e60769.tar.gz
aports-ccc9bc3b9131b2b83a9fc2fb045115ec45e60769.tar.bz2
aports-ccc9bc3b9131b2b83a9fc2fb045115ec45e60769.tar.xz
x11/pango: new aport
A library for layout and rendering of text http://www.pango.org/
Diffstat (limited to 'x11/pango/APKBUILD')
-rw-r--r--x11/pango/APKBUILD26
1 files changed, 26 insertions, 0 deletions
diff --git a/x11/pango/APKBUILD b/x11/pango/APKBUILD
new file mode 100644
index 0000000000..73dea22710
--- /dev/null
+++ b/x11/pango/APKBUILD
@@ -0,0 +1,26 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=pango
+pkgver=1.24.0
+pkgrel=0
+pkgdesc="A library for layout and rendering of text"
+url="http://www.pango.org/"
+license="LGPL"
+subpackages="$pkgname-dev $pkgname-doc"
+depends="glib cairo libxft uclibc gettext libiconv"
+makedepends="pkgconfig glib-dev cairo-dev libxft-dev gettext-dev libiconv-dev"
+install="pango.post-install $pkgname.pre-deinstall"
+source="http://ftp.gnome.org/pub/gnome/sources/$pkgname/${pkgver%.*}/$pkgname-$pkgver.tar.bz2
+ $install"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+}
+md5sums="d209f41079833cd2ef2c5e580ab9c5ee pango-1.24.0.tar.bz2
+457d66ce8a405fca12009b3c2c06bfa6 pango.post-install
+daaca20be2a577d5bcd395ca53d4b4c0 pango.pre-deinstall"